BUILD=`uname -msr | tr " /" "__"`.d
ISNOTSRCDIR=test ! -f configure



pkgdatadir = $(datadir)/pfe
pkglibdir = $(libdir)/pfe
pkgincludedir = $(includedir)/pfe
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = shle--netbsdelf
host_triplet = shle--netbsdelf
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 $(srcdir)/Makefile.in $(top_srcdir)/configure COPYING.LIB \
 ChangeLog TODO uses/config.guess uses/config.sub uses/depcomp \
 uses/install-sh uses/ltconfig uses/ltmain.sh uses/missing \
 uses/mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/uses/ac_cond_with.m4 \
 $(top_srcdir)/uses/ac_set_default_paths_system.m4 \
 $(top_srcdir)/uses/ax_configure_args.m4 \
 $(top_srcdir)/uses/ax_enable_builddir_uname.m4 \
 $(top_srcdir)/uses/ax_expand_prefix.m4 \
 $(top_srcdir)/uses/ax_spec_file.m4 \
 $(top_srcdir)/uses/ax_spec_package_version.m4 \
 $(top_srcdir)/uses/ax_warning_default_pkgconfig.m4 \
 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 $(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/uses/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 html-recursive info-recursive install-data-recursive \
 install-dvi-recursive install-exec-recursive \
 install-html-recursive install-info-recursive \
 install-pdf-recursive install-ps-recursive install-recursive \
 installcheck-recursive installdirs-recursive pdf-recursive \
 ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run tar
AUTOCONF = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/missing --run automake-1.10
AWK = /usr/bin/awk
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DWITH_MODULES=\"yes\" -DPACKAGE=\"pfe\" -DVERSION=\"0.33.71\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXTRAMODULES = 
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = /tmp/pkgbuild/lang/pfe/work.sh3el/.tools/bin/makeinfo
MKDIR_P = ../uses/install-sh -c -d
PACKAGE = pfe
PACKAGE_BUGREPORT = 
PACKAGE_NAME = pfe
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 0.33.71
PATH_SEPARATOR = :
PKG_CONFIG = /tmp/pkgbuild/lang/pfe/work.sh3el/.tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.33.71
WITHDEF_CALL_THREADING = 
WITHDEF_MODULES = -DWITH_MODULES
WITHDEF_SBR_CALL_THREADING = 
WITHDEF_SBR_THREADING = 
WITHOUT_CALL_THREADING = 
WITHOUT_MODULES = #
WITHOUT_SBR_CALL_THREADING = 
WITHOUT_SBR_THREADING = 
WITHVAL_CALL_THREADING = 
WITHVAL_MODULES = 
WITHVAL_SBR_CALL_THREADING = 
WITHVAL_SBR_THREADING = 
WITH_CALL_THREADING = #
WITH_MODULES = 
WITH_SBR_CALL_THREADING = #
WITH_SBR_THREADING = #
abs_builddir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d
abs_srcdir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d/..
abs_top_builddir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d
abs_top_srcdir = /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/NetBSD_10.0_landisk.d/..
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
ax_enable_builddir_sed = sed
bindir = ${exec_prefix}/bin
build = shle--netbsdelf
build_alias = shle--netbsdelf
build_cpu = shle
build_os = netbsdelf
build_vendor = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = shle--netbsdelf
host_alias = shle--netbsdelf
host_cpu = shle
host_os = netbsdelf
host_vendor = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/pkgbuild/lang/pfe/work.sh3el/pfe-0.33.71/uses/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(top_builddir)/../uses/install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${sysconfdir}/default
srcdir = .
subdirs =  pfe bin
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = 1.5 foreign dist-bzip2
AUTOTOOL_VERSION = autoconf-2.52 automake-1.5 libtool-1.4.2
ACLOCAL_AMFLAGS = -I uses
ACSUBDIRS = pfe bin testmodule1 testmodule2
SUBDIRS = pfe bin lib test doc 
DIST_SUBDIRS = pfe bin lib test doc testmodule1 testmodule2
dbk_MAKEFILE = dbk/pfe-fth.dbk dbk/pfe-fth.mk dbk/wordsets2words.pl
mk_MAKEFILE = mk/fb-2-fs.pl  mk/Make-H.pl \
              mk/fb-2-fs.py  mk/Make-H.py

EXTRA_DIST = autogen.sh Makefile.mk pfe.spec INSTALL.TXT \
        $(mk_MAKEFILE) $(dbk_MAKEFILE)

all: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

am--refresh: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
$(srcdir)/Makefile.in: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
Makefile: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

$(top_builddir)/config.status: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

$(top_srcdir)/configure: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
$(ACLOCAL_M4): ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

$(RECURSIVE_TARGETS): ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

$(RECURSIVE_CLEAN_TARGETS): ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
tags-recursive: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
ctags-recursive: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

ID: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
tags: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

TAGS: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
ctags: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
CTAGS: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

GTAGS: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distclean-tags: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distdir: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
dist-gzip: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
dist-bzip2: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dist-lzma: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dist-tarZ: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dist-shar: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dist-zip: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dist dist-all: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distcheck: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
distuninstallcheck: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
distcleancheck: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
check-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
check: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
all-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
installdirs: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
installdirs-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
install: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
install-exec: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
install-data: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
uninstall: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

installcheck: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
install-strip: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
mostlyclean-generic: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

clean-generic: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distclean-generic: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

maintainer-clean-generic: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
clean: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

clean-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distclean: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
distclean-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dvi: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

dvi-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

html: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

info: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

info-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-data-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-dvi: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-exec-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-html: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-info: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-man: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-pdf: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

install-ps: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

installcheck-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

maintainer-clean: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
maintainer-clean-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

mostlyclean: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

mostlyclean-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

pdf: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

pdf-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

ps: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

ps-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

uninstall-am: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"



it : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

doc  docs install-doc install-docs docu docus htmfiles install-sf \
pdfs mans install-mans man1 install-man1 man3 install-man3 \
changes.htm forthxml forthxmls clean-forthxml clean-forthxmls: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

incl-gen.t incl-gen.h force-gen gen : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
testlist tests checks anstests: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

pfe-exec : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

testmodule.la : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distt-bzip2 : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

distt : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

zipp : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

rpm : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"

gdb-ld: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
gdb-dyld: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
gdb : ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
run: ; (cd $(BUILD) && $(ISNOTSRCDIR) && $(MAKE) "$@") || exit ; $(MAKE) done "RULE=$@"
done: ;@ if grep "$(RULE)-done .*:" Makefile > /dev/null; then     echo $(MAKE) $(RULE)-done ; $(MAKE) $(RULE)-done ; else true ; fi
PUB=pub/

autoreconf:
	autoreconf -i -f
	cd testmodule1 && autoreconf -i -f
	cd testmodule2 && autoreconf -i -f

auto:
	aclocal -I uses && autoconf && automake
	(cd pfe && aclocal -I ../uses && autoconf && automake)
	(cd pfe && autoheader) || true
	(cd bin && aclocal -I ../uses && autoconf && automake)
	(cd testmodule1 && aclocal -I ../uses && autoconf && automake)
	(cd testmodule2 && aclocal -I ../uses && autoconf)
	(cd pfe         && libtoolize --force --copy)
	(cd testmodule1 && libtoolize --force --copy)
	(cd testmodule2 && libtoolize --force --copy)

sweep:
	- grep -l "Make-H" pfe/*.h | xargs rm
	- rm doc/changes.htm doc/pfe.1 doc/pfe.htm
	- rm pfe/incl-gen.h
	- for i in pfe/*-dll.c \
	; do test ".$$i" = ".pfe/module-dll.c" && continue  \
	; echo rm $$i ; rm $$i ; done

# NOTE: Tek cms directories contain "~" which breaks libtool
sun: auto
	- rm Makefile
	bash -c 'bash configure --prefix=$$HOME/$$OSTYPE'
	- cd Release/sparc*/pfe ; sed -e "s,IFS='~',IFS='?'," \
          -e "/^[a-z_]*_cmds=/s,~,?,g" libtool >libtool.new \
	; test -s libtool.new && mv libtool.new libtool
	make-sun # $(MAKE) -f Makefile
	make check && make install

tek: auto
	- rm Makefile
	bash -c 'bash configure --prefix=$$HOME/$$OSTYPE'
	$(MAKE) -f Makefile
	echo "#       make check && make install"

rebuild: auto
	- rm Makefile
	bash -c 'for variant in regs fig forth call calls fast . \
	; do bash configure --prefix=$$HOME/$$OSTYPE \
	  --with-variant=$$variant \
	; done'
	$(MAKE) -f Makefile
	$(MAKE) -f Makefile check
	echo "#       make install-all"

make-rw:
	chmod -R +w .

# ----------------------------------------------------------------

RPM_SOURCEDIR= $(shell rpmbuild -E '%_sourcedir' 2>/dev/null)
RPM_SPECDIR= $(shell rpmbuild -E '%_sourcedir' 2>/dev/null)

rpms:
	$(MAKE) rpm-variant variant=forth 'args='
	$(MAKE) rpm-variant variant=call 'args=--with call'
	: $(MAKE) rpm-variant variant=calls 'args=--with call --with sbr'
	: $(MAKE) rpm-variant variant=fast 'args=--with sbr'
	: $(MAKE) rpm-variant variant=fastest 'args=--with sbr --with regs'

rpm-variant:
	- cp $(PUB)/$(PACKAGE)-$(VERSION).tar.bz2 $(RPM_SOURCEDIR)
	sed -e '/define variant/s|forth|$(variant)|' pfe.spec \
            > $(RPM_SPECDIR)/pfe-$(variant).spec
	rpmbuild --rmsource --rmspec $(args) \
          -ba $(RPM_SPECDIR)/pfe-$(variant).spec

rpm: dist-bzip $(PACKAGE).spec
	rpmbuild -ta $(PUB)$(PACKAGE)-$(VERSION).tar.bz2

dist-bzip : dist-bzip2
	$(MAKE) dist-bzip2-done
dist-bzip2-done dist-done :
	test -d $(PUB) || mkdir $(PUB)
	@ echo cp $(BUILD)/$(PACKAGE)-$(VERSION).tar.bz2 $(PUB). \
	;      cp $(BUILD)/$(PACKAGE)-$(VERSION).tar.bz2 $(PUB).
snapshot:
	$(MAKE) dist-bzip2 VERSION=`date +%Y.%m%d`
distclean-done:
	- rm -r *.d

configsub :
	cp ../savannah.config/config.guess uses/config.guess
	cp ../savannah.config/config.sub   uses/config.sub

cf = $(cf_fedora)
cf_debian = x86-linux1
cf_fedora = x86-linux2
cf_freebsd = x86-freebsd1
cf_netbsd = x86-netbsd1
cf_openbsd = x86-openbsd1
cf_amd64 = amd64-linux1
cf_alpha = usf-cf-alpha-linux-1
cf_powermac = ppc-osx3
cf_powerpc = openpower-linux1
cf_sparc = sparc-solaris1
cf_solaris = x86-solaris1
linux = $(cf_fedora)  $(cf_debian)   $(cf_amd64)   $(cf_powerpc)   $(cf_alpha) 
bsd =   $(cf_freebsd) $(cf_netbsd)   $(cf_openbsd) $(cf_powermac)
sun =   $(cf_sparc)   $(cf_solaris)
all = $(linux) $(sun) $(bsd)
list = all


_paths_ = export PATH=$$PATH:X/bin
_includes_ = CPPFLAGS=\"-IX/include -IX/include/ncurses\"
sparc-solaris1-gcc-path = $(subst X,/usr/local,$(_paths_));
x86-solaris1-gcc-path   = $(subst X,/usr/local,$(_paths_));
sparc-solaris1-cc-path  = $(subst X,/opt/SUNWspro,$(_paths_));
x86-solaris1-cc-path    = $(subst X,/opt/SUNWspro,$(_paths_));
sparc-solaris1-gcc-conf = $(subst X,/usr/local,$(_includes_));
x86-solaris1-gcc-conf   = $(subst X,/usr/local,$(_includes_));
sparc-solaris1-cc-conf  = $(subst X,/opt/SUNWspro,$(_includes_));
x86-solaris1-cc-conf    = $(subst X,/opt/SUNWspro,$(_includes_));
cf_compiler=gcc
cf_configure =    sh configure $($(cf)-$(cf_compiler)-conf) $(args)
cf_profile = $(cf_get_uname); $($(cf)-$(cf_compiler)-path)
cf_get_uname = uname -msr
cf_unpacked = $(PACKAGE)-$(VERSION)
cf : cf-upload cf-system-all
cf-upload: ;	scp $(PUB)$(PACKAGE)-$(VERSION).tar.bz2 cf-shell.sf.net:
cf-unpack: ; ssh cf-shell.sf.net \
	ssh $(cf) "'tar xjvf $(PACKAGE)-$(VERSION).tar.bz2 2>&1'"
cf-configure: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) cd $(cf_unpacked) && $(cf_configure) 2>&1'"
cf-build: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) cd $(cf_unpacked) && make 2>&1'"
cf-check: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) cd $(cf_unpacked) && make check 2>&1'"
cf-clean: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) cd $(cf_unpacked) && make clean 2>&1'"
cf-distclean: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) cd $(cf_unpacked) && rm -rf *.d 2>&1'"
cf-prep: dist cf-upload cf-unpack
cf-wipe: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) rm -rf $(cf_unpacked)/ 2>&1'"
cf-system: ; ssh cf-shell.sf.net \
	ssh $(cf) "'$(cf_profile) $(cf_get_uname) | sed \"s,^,: $(cf) = ,\"'"
cf-configure-all:
	echo $@: `date` "====================" > cf.log
	@ for cf in $($(list)) ; do echo $(MAKE) cf-configure cf=$$cf \
	; sleep 1;                       $(MAKE) cf-configure cf=$$cf \
	| sed -e "s|^|$$cf: |" | tee -a cf.log ; done
cf-build-all:
	echo $@: `date` "====================" >> cf.log
	@ for cf in $($(list)) ; do echo $(MAKE) cf-build cf=$$cf \
	; sleep 1;                       $(MAKE) cf-build cf=$$cf \
	| sed -e "s|^|$$cf: |" | tee -a cf.log ; done
cf-check-all:
	echo $@: `date` "====================" >> cf.log
	@ for cf in $($(list)) ; do echo $(MAKE) cf-check cf=$$cf \
	; sleep 1;                       $(MAKE) cf-check cf=$$cf \
	| sed -e "s|^|$$cf: |" | tee -a cf.log ; done
cf-system-all:
	echo $@: `date` "====================" >> cf.log
	@ for cf in $($(list)) ; do echo $(MAKE) cf-configure cf=$$cf \
	; sleep 1 ;                      $(MAKE) cf-system cf=$$cf \
	| sed -e "s|^|$$cf: |" | tee -a cf.log ; done
